Get Product
curl --request GET \
--url https://{cluster}.voucherify.io/v1/products/{productId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "prod_f1r5Tpr0DuC7",
"source_id": "test_prod_id_1",
"name": "Apple iPhone 8",
"price": null,
"attributes": [
"color",
"memory"
],
"metadata": {
"test": true,
"vendor": "Cortland"
},
"image_url": null,
"created_at": "2021-12-03T06:33:46.101Z",
"updated_at": null,
"object": "product",
"skus": {
"object": "list",
"data_ref": "data",
"data": [
{
"id": "sku_0a417bd1d9952f9d6f",
"source_id": "test_iphone_8_silver_256gb",
"product_id": "prod_f1r5Tpr0DuC7",
"sku": "iPhone 8 Silver 256GB",
"price": null,
"currency": null,
"attributes": {
"color": "silver",
"memory": "256"
},
"image_url": null,
"metadata": {},
"created_at": "2021-12-03T06:33:46.599097+00:00",
"updated_at": null,
"object": "sku"
},
{
"id": "sku_0a417bd1d9952f9d6e",
"source_id": "test_iphone_8_silver_64gb",
"product_id": "prod_f1r5Tpr0DuC7",
"sku": "iPhone 8 Silver 64GB",
"price": null,
"currency": null,
"attributes": {
"color": "silver",
"memory": "64"
},
"image_url": null,
"metadata": {},
"created_at": "2021-12-03T06:33:46.598595+00:00",
"updated_at": null,
"object": "sku"
}
],
"total": 2
}
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find product with id test_prod_id_",
"request_id": "v-0bae1d3caf478da111",
"resource_id": "test_prod_id_",
"resource_type": "product"
}Get Product
Retrieve details of a given product and its SKUs, if any.
GET
/
v1
/
products
/
{productId}
Get Product
curl --request GET \
--url https://{cluster}.voucherify.io/v1/products/{productId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "prod_f1r5Tpr0DuC7",
"source_id": "test_prod_id_1",
"name": "Apple iPhone 8",
"price": null,
"attributes": [
"color",
"memory"
],
"metadata": {
"test": true,
"vendor": "Cortland"
},
"image_url": null,
"created_at": "2021-12-03T06:33:46.101Z",
"updated_at": null,
"object": "product",
"skus": {
"object": "list",
"data_ref": "data",
"data": [
{
"id": "sku_0a417bd1d9952f9d6f",
"source_id": "test_iphone_8_silver_256gb",
"product_id": "prod_f1r5Tpr0DuC7",
"sku": "iPhone 8 Silver 256GB",
"price": null,
"currency": null,
"attributes": {
"color": "silver",
"memory": "256"
},
"image_url": null,
"metadata": {},
"created_at": "2021-12-03T06:33:46.599097+00:00",
"updated_at": null,
"object": "sku"
},
{
"id": "sku_0a417bd1d9952f9d6e",
"source_id": "test_iphone_8_silver_64gb",
"product_id": "prod_f1r5Tpr0DuC7",
"sku": "iPhone 8 Silver 64GB",
"price": null,
"currency": null,
"attributes": {
"color": "silver",
"memory": "64"
},
"image_url": null,
"metadata": {},
"created_at": "2021-12-03T06:33:46.598595+00:00",
"updated_at": null,
"object": "sku"
}
],
"total": 2
}
}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find product with id test_prod_id_",
"request_id": "v-0bae1d3caf478da111",
"resource_id": "test_prod_id_",
"resource_type": "product"
}Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Scopes
Path Parameters
Response
Returns a product object if a valid identifier was provided.
Response body schema for GET v1/products/{productId}.
The metadata object stores all custom attributes assigned to the product. A set of key/value pairs that you can attach to a product object. It can be useful for storing additional information about the product in a structured format. It can be used to create product collections.

